﻿using System.Drawing;
using System.Windows.Forms;
using System;

namespace PocketGPW
{
    public class DataGridAlertTextBoxColumn : DataGridTextBoxColumn
    {
        private DataGrid _dg;
        private StringFormat _sf;
        private SolidBrush _foreBrush = new SolidBrush(Color.Red);

        public DataGridAlertTextBoxColumn(DataGrid dg)
        {
            _dg = dg;

            _sf = new StringFormat();
            _sf.Alignment = StringAlignment.Center;
            _sf.LineAlignment = StringAlignment.Center;
        }

        protected override void Paint(Graphics g, Rectangle bounds, CurrencyManager source, int rowNum, Brush backBrush, Brush foreBrush, bool alignToRight)
        {
            // tło
            g.FillRectangle(backBrush, bounds);

            // napis            
            object value = base.PropertyDescriptor.GetValue(source.List[rowNum]);
            g.DrawString(value != null && value is bool && (bool)value ? "A" : "", _dg.Font, _foreBrush, bounds, _sf);
        }
    }
}
